# Class CAIdstoreClients

java.lang.Object
com.io7m.cardant.server.service.idstore.CAIdstoreClients

All Implemented Interfaces:
  `CAIdstoreClientsType`, `com.io7m.repetoir.core.RPServiceType`

public final class CAIdstoreClients extends Object implements CAIdstoreClientsType
Idstore clients.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `URI`
  `baseURI()`
  `static CAIdstoreClientsType`
  `create(Locale inLocale, Clock inClock, CAServerTelemetryServiceType telemetry, CAServerIdstoreConfiguration idstore)`
  Create an idstore client service.
  `com.io7m.idstore.user_client.api.IdUClientType`
  `createClient()`
  Create a new client.
  `String`
  `description()`
  `URI`
  `passwordResetURI()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### create

    public static CAIdstoreClientsType create(Locale inLocale, Clock inClock, CAServerTelemetryServiceType telemetry, CAServerIdstoreConfiguration idstore)
    Create an idstore client service.
    Parameters:
      `inLocale` - The locale
      `inClock` - The clock
      `telemetry` - The telemetry service
      `idstore` - The idstore server configuration
    Returns:
      A client service

  - ### createClient

    public com.io7m.idstore.user_client.api.IdUClientType createClient() throws com.io7m.idstore.user_client.api.IdUClientException
    Description copied from interface: `CAIdstoreClientsType`
    Create a new client.
    Specified by:
      `createClient` in interface `CAIdstoreClientsType`
    Returns:
      A new client
    Throws:
      `com.io7m.idstore.user_client.api.IdUClientException` - On client errors

  - ### baseURI

    public URI baseURI()
    Specified by:
      `baseURI` in interface `CAIdstoreClientsType`
    Returns:
      The base URI of the idstore server

  - ### description

    public String description()
    Specified by:
      `description` in interface `com.io7m.repetoir.core.RPServiceType`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### passwordResetURI

    public URI passwordResetURI()
    Specified by:
      `passwordResetURI` in interface `CAIdstoreClientsType`
    Returns:
      The password reset URI for the idstore server